Widget Error

Report any found bug here. We are grateful for any useful clues.

Moderator: severin

Post Reply
elroot
Posts: 2
Joined: Fri 25. Aug 2006, 15:22

Widget Error

Post by elroot » Fri 25. Aug 2006, 15:31

Hi, here from Argentina!

I recently download MAMP 1.3.1 (Universal). And i found that the widget don't reflect the state of apache (apacheLED always off). Reading the Widget Code i note that on the updateView function the path to the pid of apache was wrong.

Original Code:

Code: Select all

var apacheIsRunning = mamPlugin.serverIsRunning("/Applications/MAMP/bin/apache2/logs/httpd.pid")
Correct Code:

Code: Select all

var apacheIsRunning = mamPlugin.serverIsRunning("/Applications/MAMP/Library/logs/httpd.pid")
With this change the widget reflect correctly the state of apache.

Sorry about my english is very bad.

ed_dekker
Posts: 7
Joined: Thu 17. Aug 2006, 13:18

Post by ed_dekker » Mon 28. Aug 2006, 18:32

See http://forum.mamp.info/viewtopic.php?p=1780#1780 for an additional change you'll need to make.

bugsmi0
Posts: 6
Joined: Wed 8. Mar 2006, 14:47

Post by bugsmi0 » Mon 28. Aug 2006, 19:17

what file is that widge code in ?

elroot
Posts: 2
Joined: Fri 25. Aug 2006, 15:22

Post by elroot » Fri 1. Sep 2006, 15:03

Sorry the file is mampwidget.js

Good Luck

ed_dekker
Posts: 7
Joined: Thu 17. Aug 2006, 13:18

Gee, no fix

Post by ed_dekker » Sun 5. Nov 2006, 21:37

Just installed MAMP 1.4.
Got the same errors at first.
Applied the same two fixes and the permission changes. (from http://forum.mamp.info/viewtopic.php?t=713 and http://forum.mamp.info/viewtopic.php?p=1780)
And it works!

:arrow: Yo guys: you make a nice package, but pleeaaase take note of the things we find and fix and include that.

ed_dekker
Posts: 7
Joined: Thu 17. Aug 2006, 13:18

No fix in 1.4.1 either

Post by ed_dekker » Tue 21. Nov 2006, 13:22

I wrote:Just installed MAMP 1.4.
Got the same errors at first.
Applied the same two fixes and the permission changes. (from http://forum.mamp.info/viewtopic.php?t=713 and http://forum.mamp.info/viewtopic.php?p=1780)
And it works!
Same thing in 1.4.1

daavidfischer
Posts: 11
Joined: Wed 21. Nov 2012, 08:40

Re: Widget Error

Post by daavidfischer » Mon 23. Sep 2013, 10:03

I would like to share my experience too here. I am using a Toshiba PC and recently installed MAMP 1.4. I had MAMP in the system earlier. When the new version came I removed that installed it as a fresh. There the problem started. I had the same error idget don't reflect the state of apache. It seems like it working fine now, but I am not sure.

Post Reply

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 3 guests